cdac.medinfo.sdk.hl7282.hl7model.messages.personnelmanagement

## Class PMU_B01_Common

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.personnelmanagement.PMU_B01_Common

- Direct Known Subclasses:
    PMU_B01, PMU_B02

      public abstract class PMU_B01_Common
      extends Message

  PMU_B01 - Add Personnel Record (Event B01). An event B01 signals, to add a new record for healthcare administration information about an individual healthcare practitioner establishing a relationship between that practitioner and the institution.

  Represents a PMU_B01 message structure (see chapter 15.3.1). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE_OPTIONAL
  3: EVN (Event Type Segment) SINGLE_COMPULSARY
  4: STF (Staff Identification Segment) SINGLE_COMPULSARY
  5: PRA (Practitioner Detail Segment) MULTIPLE_OPTIONAL
  6: ORG (Practitioner Organization Unit Segment) MULTIPLE_OPTIONAL
  7: AFF (Professional Affiliation Segment) MULTIPLE_OPTIONAL
  8: LAN (Language Detail Segment) MULTIPLE_OPTIONAL
  9: EDU (Educational Detail Segment) MULTIPLE_OPTIONAL
  10: CER (Certificate Detail Segment) MULTIPLE_OPTIONAL
  11: NK1 (NextOfKin Segment) MULTIPLE_OPTIONAL
  12: PRT (Participation Segment) MULTIPLE_OPTIONAL
  13: ROL (Role Segment) MULTIPLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAffiliationSegment(AFF objAFF)` Adds Affiliation Segment(AFF) to this message.
    `void` | `addAffiliationSegments(ISingleCollection<AFF> objAFFSegmentCollection)` Adds collection of Affiliation Segment(AFF) to this message.
    `void` | `addCertificateSegment(CER objCER)` Adds Certificate Segment(CER) to this message.
    `void` | `addCertificateSegments(ISingleCollection<CER> objCERSegmentCollection)` Adds collection of Certificate Segment(CER) to this message.
    `void` | `addEducationSegment(EDU objEDU)` Adds Education Segment(EDU) to this message.
    `void` | `addEducationSegments(ISingleCollection<EDU> objEDUSegmentCollection)` Adds collection of Education Segment(EDU) to this message.
    `void` | `addLanguageSegment(LAN objLAN)` Adds Language Segment(LAN) to this message.
    `void` | `addLanguageSegments(ISingleCollection<LAN> objLANSegmentCollection)` Adds collection of Language Segment(LAN) to this message.
    `void` | `addNextOfKinSegment(NK1 objNK1)` Adds NextOfKin (NK1) Segment to this message.
    `void` | `addNextOfKinSegments(ISingleCollection<NK1> objNK1SegmentCollection)` Adds collection of NextOfKin (NK1) Segment to this message.
    `void` | `addOrganizationSegment(ORG objORG)` Adds Organization Segment(ORG) to this message.
    `void` | `addOrganizationSegments(ISingleCollection<ORG> objSegmentORGCollection)` Adds collection of Organization Segment(ORG) to this message.
    `void` | `addParticipationSegment(PRT objPRT)` Adds Participation(PRT) Segment to this message.
    `void` | `addPaticipationSegments(ISingleCollection<PRT> objPRTSegmentCollection)` Adds collection of PArticipation(PRT) Segment to this message.
    `void` | `addPractitionerSegment(PRA objPRA)` Adds Practitioner Segment(PRA) to this message.
    `void` | `addPractitionerSegments(ISingleCollection<PRA> objPRASegmentCollection)` Adds collection of Practitioner Segment(PRA) to this message.
    `void` | `addRoleSegment(ROL objROL)` Adds Certificate Segment(CER) to this message.
    `void` | `addRoleSegments(ISingleCollection<ROL> objROLSegmentCollection)` Adds collection of Role Segment(ROL) to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `ISingleCollection<AFF>` | `getAffiliationSegments()` Retrieves Collection of Affiliation Segments(AFF) present in this message.
    `ISingleCollection<CER>` | `getCertificateSegments()` Retrieves Collection of Certificate Segments(CER) present in this message.
    `ISingleCollection<EDU>` | `getEducationSegments()` Retrieves Collection of Education Segments(EDU) present in this message.
    `EVN` | `getEventTypeSegment()` Retrieves Event Type(EVN) segment present in this message
    `ISingleCollection<LAN>` | `getLanguageSegments()` Retrieves Collection of Language Segments(LAN) present in this message.
    `ISingleCollection<NK1>` | `getNextOfKinSegments()` Retrieves Collection of NextOfKin (NK1) Segment present in this message.
    `ISingleCollection<ORG>` | `getOrganizationSegments()` Retrieves Collection of Organization Segments(ORG) present in this message.
    `ISingleCollection<PRT>` | `getParticipationSegments()` Retrieves Collection of Participation(PRT) Segment present in this message.
    `ISingleCollection<PRA>` | `getPractitionerSegments()` Retrieves Collection of Practitioner Segments(PRA) present in this message.
    `ISingleCollection<ROL>` | `getRoleSegments()` Retrieves Collection of Role Segments(ROL) present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `STF` | `getStaffTypeSegment()` Retrieves Staff(STF) segment present in this message
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setEventTypeSegment(EVN objEVN)` Sets value of Event Type segment for this message,overwrites if already present.
    `void` | `setStaffSegment(STF objSTF)` Sets value of Staff segment for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential(UAC) segment for this message, overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - the User Authentication Credential Segment present in this message or null if unavailable.

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential(UAC) segment for this message, overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getEventTypeSegment

          public EVN getEventTypeSegment()

      Retrieves Event Type(EVN) segment present in this message
      Returns:
        EVN - the EVN Segment present in this message or null if unavailable.

    - #### setEventTypeSegment

          public void setEventTypeSegment(EVN objEVN)

      Sets value of Event Type segment for this message,overwrites if already present.
      Parameters:
        `objEVN` - Specified EVN Segment

    - #### setStaffSegment

          public void setStaffSegment(STF objSTF)

      Sets value of Staff segment for this message,overwrites if already present.
      Parameters:
        `objSTF` - Specified Staff Segment

    - #### getStaffTypeSegment

          public STF getStaffTypeSegment()

      Retrieves Staff(STF) segment present in this message
      Returns:
        STF - the STF Segment present in this message or null if unavailable.

    - #### getPractitionerSegments

          public ISingleCollection<PRA> getPractitionerSegments()

      Retrieves Collection of Practitioner Segments(PRA) present in this message.
      Returns:
        ISingleCollection - Collection of Practitioner Segments(PRA) present in this message.

    - #### addPractitionerSegment

          public void addPractitionerSegment(PRA objPRA)

      Adds Practitioner Segment(PRA) to this message.
      Parameters:
        `objPRA` - Specified Practitioner Segment(PRA)

    - #### addPractitionerSegments

          public void addPractitionerSegments(ISingleCollection<PRA> objPRASegmentCollection)

      Adds collection of Practitioner Segment(PRA) to this message.
      Parameters:
        `objPRASegmentCollection` - Collection of Practitioner Segments

    - #### getOrganizationSegments

          public ISingleCollection<ORG> getOrganizationSegments()

      Retrieves Collection of Organization Segments(ORG) present in this message.
      Returns:
        ISingleCollection - Collection of Organization Segments(ORG) present in this message.

    - #### addOrganizationSegment

          public void addOrganizationSegment(ORG objORG)

      Adds Organization Segment(ORG) to this message.
      Parameters:
        `objORG` - Specified Organization Segment(ORG)

    - #### addOrganizationSegments

          public void addOrganizationSegments(ISingleCollection<ORG> objSegmentORGCollection)

      Adds collection of Organization Segment(ORG) to this message.
      Parameters:
        `objSegmentORGCollection` - Collection of Organization Segments

    - #### getAffiliationSegments

          public ISingleCollection<AFF> getAffiliationSegments()

      Retrieves Collection of Affiliation Segments(AFF) present in this message.
      Returns:
        ISingleCollection - Collection of Affiliation Segments(AFF) present in this message.

    - #### addAffiliationSegment

          public void addAffiliationSegment(AFF objAFF)

      Adds Affiliation Segment(AFF) to this message.
      Parameters:
        `objAFF` - Specified Affiliation Segment(AFF)

    - #### addAffiliationSegments

          public void addAffiliationSegments(ISingleCollection<AFF> objAFFSegmentCollection)

      Adds collection of Affiliation Segment(AFF) to this message.
      Parameters:
        `objAFFSegmentCollection` - Collection of Affiliation Segments

    - #### getLanguageSegments

          public ISingleCollection<LAN> getLanguageSegments()

      Retrieves Collection of Language Segments(LAN) present in this message.
      Returns:
        ISingleCollection - Collection of Language Segments(LAN) present in this message.

    - #### addLanguageSegment

          public void addLanguageSegment(LAN objLAN)

      Adds Language Segment(LAN) to this message.
      Parameters:
        `objLAN` - Specified Language Segment(LAN)

    - #### addLanguageSegments

          public void addLanguageSegments(ISingleCollection<LAN> objLANSegmentCollection)

      Adds collection of Language Segment(LAN) to this message.
      Parameters:
        `objLANSegmentCollection` - Collection of Language Segments

    - #### getEducationSegments

          public ISingleCollection<EDU> getEducationSegments()

      Retrieves Collection of Education Segments(EDU) present in this message.
      Returns:
        ISingleCollection - Collection of Education Segments(EDU) present in this message.

    - #### addEducationSegment

          public void addEducationSegment(EDU objEDU)

      Adds Education Segment(EDU) to this message.
      Parameters:
        `objEDU` - Specified Education Segment(EDU)

    - #### addEducationSegments

          public void addEducationSegments(ISingleCollection<EDU> objEDUSegmentCollection)

      Adds collection of Education Segment(EDU) to this message.
      Parameters:
        `objEDUSegmentCollection` - Collection of Education Segments

    - #### getCertificateSegments

          public ISingleCollection<CER> getCertificateSegments()

      Retrieves Collection of Certificate Segments(CER) present in this message.
      Returns:
        ISingleCollection - Collection of Certificate Segments(CER) present in this message.

    - #### addCertificateSegment

          public void addCertificateSegment(CER objCER)

      Adds Certificate Segment(CER) to this message.
      Parameters:
        `objCER` - Specified Certificate Segment(CER)

    - #### addCertificateSegments

          public void addCertificateSegments(ISingleCollection<CER> objCERSegmentCollection)

      Adds collection of Certificate Segment(CER) to this message.
      Parameters:
        `objCERSegmentCollection` - Collection of Certificate Segments

    - #### getNextOfKinSegments

          public ISingleCollection<NK1> getNextOfKinSegments()

      Retrieves Collection of NextOfKin (NK1) Segment present in this message.
      Returns:
        ISingleCollection - Collection of NextOfKin (NK1) Segment present in this message.

    - #### addNextOfKinSegment

          public void addNextOfKinSegment(NK1 objNK1)

      Adds NextOfKin (NK1) Segment to this message.
      Parameters:
        `objNK1` - Specified NextOfKin (NK1) Segment

    - #### addNextOfKinSegments

          public void addNextOfKinSegments(ISingleCollection<NK1> objNK1SegmentCollection)

      Adds collection of NextOfKin (NK1) Segment to this message.
      Parameters:
        `objNK1SegmentCollection` - Collection of NextOfKin (NK1) Segment

    - #### getParticipationSegments

          public ISingleCollection<PRT> getParticipationSegments()

      Retrieves Collection of Participation(PRT) Segment present in this message.
      Returns:
        ISingleCollection - collection of Participation(PRT) Segment present in message.

    - #### addParticipationSegment

          public void addParticipationSegment(PRT objPRT)

      Adds Participation(PRT) Segment to this message.
      Parameters:
        `objPRT` - Specified Participation(PRT) Segment to be added in this message.

    - #### addPaticipationSegments

          public void addPaticipationSegments(ISingleCollection<PRT> objPRTSegmentCollection)

      Adds collection of PArticipation(PRT) Segment to this message.
      Parameters:
        `objPRTSegmentCollection` - Collection of Participation Segments to add in this message

    - #### getRoleSegments

          public ISingleCollection<ROL> getRoleSegments()

      Retrieves Collection of Role Segments(ROL) present in this message.
      Returns:
        ISingleCollection - Collection of Role Segments(ROL) present in this message.

    - #### addRoleSegment

          public void addRoleSegment(ROL objROL)

      Adds Certificate Segment(CER) to this message.
      Parameters:
        `objROL` - Specified Certificate Segment(CER)

    - #### addRoleSegments

          public void addRoleSegments(ISingleCollection<ROL> objROLSegmentCollection)

      Adds collection of Role Segment(ROL) to this message.
      Parameters:
        `objROLSegmentCollection` - Collection of Role Segments